Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.util
Class SignatureChecker

    java.lang.Object
      com.amazonaws.services.sns.util.SignatureChecker

    public class SignatureChecker

extends Object

Utility for validating signatures on a Simple Notification Service JSON message.

Constructor Summary
`SignatureChecker()`

Method Summary
`boolean` | `verifyMessageSignature(String message, PublicKey publicKey)` Validates the signature on a Simple Notification Service message.
`boolean` | `verifySignature(String message, String signature, PublicKey publicKey)` Does the actual Java cryptographic verification of the signature.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureChecker

    public SignatureChecker()

Method Detail

### verifyMessageSignature

    public boolean verifyMessageSignature(String message,
                                          PublicKey publicKey)

  Validates the signature on a Simple Notification Service message. No Amazon-specific dependencies, just plain Java crypto and Jackson for parsing

  Parameters:
    `message` - A JSON-encoded Simple Notification Service message. Note: the JSON may be only one level deep.
    `publicKey` - The Simple Notification Service public key, exactly as you'd see it when retrieved from the cert.
  Returns:
    True if the message was correctly validated, otherwise false.

### verifySignature

    public boolean verifySignature(String message,
                                   String signature,
                                   PublicKey publicKey)

  Does the actual Java cryptographic verification of the signature. This method does no handling of the many rare exceptions it is required to catch.

  Parameters:
    `message` - Exact string that was signed
    `signature` - Base64-encoded signature of the message
  Returns:

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.